--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
--
-- PostgreSQL database dump
--

-- Dumped from database version 13.11 (Debian 13.11-1.pgdg120+1)
-- Dumped by pg_dump version 14.10 (Ubuntu 14.10-0ubuntu0.22.04.1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

DROP DATABASE "geo-export";
--
-- Name: geo-export; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE "geo-export" WITH TEMPLATE = template0 ENCODING = 'UTF8' LOCALE = 'en_US.utf8';


\connect -reuse-previous=on "dbname='geo-export'"

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: realistimo_geo; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA realistimo_geo;


SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: locations; Type: TABLE; Schema: realistimo_geo; Owner: -
--

CREATE TABLE realistimo_geo.locations (
    id integer NOT NULL,
    internal_id integer NOT NULL,
    state_name character varying(255) NOT NULL,
    city_name character varying(255),
    village_name character varying(255),
    neighborhood_name character varying(255),
    location_type character varying(255)
);


--
-- Name: locations_id_seq; Type: SEQUENCE; Schema: realistimo_geo; Owner: -
--

CREATE SEQUENCE realistimo_geo.locations_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    MAXVALUE 2147483647
    CACHE 1;


--
-- Name: locations_id_seq; Type: SEQUENCE OWNED BY; Schema: realistimo_geo; Owner: -
--

ALTER SEQUENCE realistimo_geo.locations_id_seq OWNED BY realistimo_geo.locations.id;


--
-- Name: locations id; Type: DEFAULT; Schema: realistimo_geo; Owner: -
--

ALTER TABLE ONLY realistimo_geo.locations ALTER COLUMN id SET DEFAULT nextval('realistimo_geo.locations_id_seq'::regclass);


--
-- Data for Name: locations; Type: TABLE DATA; Schema: realistimo_geo; Owner: -
--

COPY realistimo_geo.locations (id, internal_id, state_name, city_name, village_name, neighborhood_name, location_type) FROM stdin;
\.
COPY realistimo_geo.locations (id, internal_id, state_name, city_name, village_name, neighborhood_name, location_type) FROM '$$PATH$$/3064.dat';

--
-- Name: locations_id_seq; Type: SEQUENCE SET; Schema: realistimo_geo; Owner: -
--

SELECT pg_catalog.setval('realistimo_geo.locations_id_seq', 6035, true);


--
-- Name: locations locations_pk; Type: CONSTRAINT; Schema: realistimo_geo; Owner: -
--

ALTER TABLE ONLY realistimo_geo.locations
    ADD CONSTRAINT locations_pk PRIMARY KEY (id);


--
-- PostgreSQL database dump complete
--

